Bug 184006 - X11 nv driver broken for nvidia 6800GS
X11 nv driver broken for nvidia 6800GS
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: 184007 184010 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-04 18:50 EST by Alex Stewart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-14 12:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -v output (7.44 KB, text/plain)
2006-03-08 02:28 EST, Alex Stewart
no flags Details
output from 'startx' when running with the nvidia binary driver (1.81 KB, text/plain)
2006-03-08 02:29 EST, Alex Stewart
no flags Details
output from 'startx' when running with the nv Xorg driver. (2.02 KB, text/plain)
2006-03-08 02:30 EST, Alex Stewart
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6212 None None None Never

  None (edit)
Description Alex Stewart 2006-03-04 18:50:11 EST
Description of problem:

I have an Nvidia 6800GS PCIe video card.  During install of FC5test3, anaconda 
auto-detected this as an Nvidia NV41.0 chipset (which I believe is correct) and 
chose the nv driver.  However, the nv driver does not appear to work for this 
card.  When running the graphical installer, or when later starting X with the 
nv driver after install, all I get is a screen full of garbage, and if I 
attempt to switch back to a text console after this, I have no cursor and 
scrolling does not work properly.

Version-Release number of selected component (if applicable):

  (not sure exactly, whatever came with FC5test3)

How reproducible:


Steps to Reproduce:
1. Configure X to use the nv driver on a machine with an Nvidia 6800GS-based 
2. Start X
Actual results:

  Garbage on screen

Expected results:

  Working X display

Additional info:
Comment 1 Alex Stewart 2006-03-04 18:54:59 EST
*** Bug 184007 has been marked as a duplicate of this bug. ***
Comment 2 Mike A. Harris 2006-03-06 16:22:17 EST
*** Bug 184010 has been marked as a duplicate of this bug. ***
Comment 3 Alex Stewart 2006-03-08 02:27:02 EST
It occurred to me that the following information might be of use:

My video card details:

  PNY Verto GeForce 6800 GS (PCI Express 16X) 256MB
  Video BIOS version:

Additional behavior notes:

The Nvidia binary driver (with the necessary patches to build under FC5) appears
to work fine with this card.  I also noticed that if I run the X server using
the Nvidia driver, then shut it down, change my xorg.conf to use "nv" and start
it back up again, the nv driver appears to work.  This suggests to me that this
is simply an initialization problem, and that once the hardware is initialized
properly by the binary driver, the open source driver does everything correctly
for the rest of the process (until the machine is rebooted).

I am also attaching some additional logfiles and lspci data.
Comment 4 Alex Stewart 2006-03-08 02:28:26 EST
Created attachment 125786 [details]
lspci -v output
Comment 5 Alex Stewart 2006-03-08 02:29:35 EST
Created attachment 125787 [details]
output from 'startx' when running with the nvidia binary driver
Comment 6 Alex Stewart 2006-03-08 02:30:19 EST
Created attachment 125788 [details]
output from 'startx' when running with the nv Xorg driver.
Comment 7 Mike A. Harris 2006-03-08 06:12:35 EST
For the purposes of troublshooting properly, please completely uninstall the
proprietary nvidia driver, as it overwrites Fedora supplied files.

Next, please ensure you:

- are fully updated to current FC5 development, including the latest kernel
- have rebooted the system completely if a new kernel was installed or if
you had previously been using the proprietary nvidia driver - to ensure
the hardware is reset to power on defaults with the latest kernel.

If the problem still occurs, please report the issue in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" product against the nVidia (open)
component, and the driver maintainer from Nvidia will investigate the issue.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", and awaiting upstream
bug report URL for tracking.

Thanks in advance.
Comment 8 Alex Stewart 2006-03-10 01:59:15 EST
Did a fresh install (for other reasons) and yum update to latest devel packages
and confirmed that the result is the same with newest FC5 kernel and packages
(this system has also not been touched by the proprietary driver).

I have opened a bug in the xorg bugzilla and added it as a reference in this
ticket as well.

Regarding bug 18410, which has been marked as a duplicate of this one, if we
can't get an xorg fix to this issue for the FC5 release, could we at least make
Anaconda default to the vesa driver for this card so that users such as myself
can get a working installer by default instead of a screen full of garbage?
Comment 9 Alex Stewart 2006-03-10 02:00:01 EST
err, meant bug 184010, sorry.
Comment 10 Dan Book 2006-03-21 01:04:41 EST
With the FC5 x86_64 DVD, I get the same garbage with my 6800GS when the
installer attempts to start X. Is there a way to get it to use the vesa driver
so I can install using the GUI, then worry about the driver later?
Comment 11 Mike A. Harris 2006-06-07 05:17:49 EDT
Tracking upstream bug http://freedesktop.org/bugzilla/show_bug.cgi?id=6212
now, thanks.

Please try using 'Option "noaccel"' in the device section of your xorg.conf
and indicate if this allows it to work now.  You'll notice that it is
fairly slow with noaccel, so if it does work, please comment out noaccel,
and now try the various "XaaNo" options documented in the xorg.conf manpage
one at a time and/or in combinations to see which ones are necessary to
work around the problem.

If you can determine which XaaNo options are needed, that will be useful
information to Nvidia to solve the underlying problem in the driver

Thanks in advance.
Comment 12 Marek Kassur 2006-07-28 17:26:31 EDT
Option "noaccel" doesn't work for me, I'll wait for next Fedora test release to
take a look and see if it's ok.

Note You need to log in before you can comment on or make changes to this bug.